net.sourceforge.jnlp.services

## Class XPrintService

- java.lang.Object
- - net.sourceforge.jnlp.services.XPrintService

All Implemented Interfaces:
  PrintService

    public class XPrintService
    extends java.lang.Object
    implements PrintService

### Constructor Summary

Constructors
Constructor and Description
`XPrintService()`

### Method Summary

Methods
`java.awt.print.PageFormat` `getDefaultPage()`
`boolean` `print(java.awt.print.Pageable document)`
`boolean` `print(java.awt.print.Printable painter)`
`java.awt.print.PageFormat` `showPageFormatDialog(java.awt.print.PageFormat page)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XPrintService

    public XPrintService()

### Method Detail

#### getDefaultPage

    public java.awt.print.PageFormat getDefaultPage()

Specified by:
  `getDefaultPage` in interface `PrintService`

#### showPageFormatDialog

    public java.awt.print.PageFormat showPageFormatDialog(java.awt.print.PageFormat page)

Specified by:
  `showPageFormatDialog` in interface `PrintService`

#### print

    public boolean print(java.awt.print.Pageable document)

Specified by:
  `print` in interface `PrintService`

#### print

    public boolean print(java.awt.print.Printable painter)

Specified by:
  `print` in interface `PrintService`